package com.bytesw.bytebot.bean;

import com.google.gson.annotations.Expose;
import lombok.Getter;
import lombok.Setter;

import java.math.BigInteger;
import java.time.LocalDate;
import java.time.OffsetDateTime;

@Getter
@Setter
public class CalendarExceptionBean {
    @Expose
    private BigInteger id;
    @Expose private long version;
    @Expose private String description;
    //@Expose private CalendarBean calendar;
    @Expose private String calendar;
    @Expose private String calendarExceptionType;
    //Frecuencia
    @Expose private String frequencyType;
    //annualCalendar y UniqueWeekly
    @Expose private int month;
    @Expose private int dayOfMonth;
    @Expose private int weekOfMonth;
    @Expose private int dayOfWeek;
    //UniqueCalendar
    @Expose private LocalDate date;
    //rangeCalendar
    @Expose private OffsetDateTime from;
    @Expose private OffsetDateTime to;
    @Expose private boolean delete;

}
