/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.bytesw.bytebot.model.converters;

import com.bytesw.bytebot.model.enums.FileQuestionStatusEnum;
import javax.persistence.AttributeConverter;
import org.apache.camel.Converter;

/**
 * @author Hernán Uriarte Melchor
 * @version 13-sep-2020
 *
 * Copyright (c) 2020 Byte, S.A. Todos los derechos reservados.
 *
 * Este software constituye información confidencial y propietaria de Byte, S.A.
 * ("Información Confidencial"). Usted no debe develar dicha Información
 * Confidencial y debe usarla de acuerdo con los términos de aceptación de
 * licencia de uso que firmó con Byte.
 */
@Converter
public class FileQuestionStatusConverter implements AttributeConverter<FileQuestionStatusEnum, String> {

    @Override
    public String convertToDatabaseColumn(FileQuestionStatusEnum value) {
        return value.getName();
    }

    @Override
    public FileQuestionStatusEnum convertToEntityAttribute(String value) {
        return FileQuestionStatusEnum.fromString(value);
    }
    
}
