package com.bytesw.bytebot.bean;

import com.google.gson.annotations.Expose;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

/**
 * @author Sebastian Chicoma Sandmann
 * @version 09-sep-2020
 *
 * Copyright (c) 2020 Byte, S.A. Todos los derechos reservados.
 *
 * Este software constituye información confidencial y propietaria de Byte, S.A.
 * ("Información Confidencial"). Usted no debe develar dicha Información
 * Confidencial y debe usarla de acuerdo con los términos de aceptación de
 * licencia de uso que firmó con Byte.
 */

@Getter
@Setter
@ToString
public class DeploymentChannelBean {

    @Expose
    private Long id;

    @Expose
    private String name;

    @Expose
    private String status;

    @Expose
    private Long channelId;

    @Expose
    private String channelName;

    @Expose
    private List<DeploymentChannelParamValueBean> parameters;

}
