package com.bytesw.bytebot.etl.dao;

import com.bytesw.bytebot.etl.model.DeleteDataSensibleControl;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;

import java.util.Optional;

public interface DeleteDataSensibleControlRepository extends CrudRepository<DeleteDataSensibleControl, Long> {

    @Query("SELECT s from DeleteDataSensibleControl s WHERE s.agentId = :agentId")
    Optional<DeleteDataSensibleControl> findEventIdByAgentId(@Param("agentId") Long agentId);
}
