/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.bytesw.bytebot.repository;

import com.bytesw.bytebot.model.QuestionFile;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;

import java.time.LocalDateTime;
import java.util.Optional;

/**
 * @author Hernán Uriarte Melchor.
 * @version 13-sep-2020
 * <p>
 * Copyright (c) 2020 Byte, S.A. Todos los derechos reservados.
 * <p>
 * Este software constituye información confidencial y propietaria de Byte, S.A.
 * ("Información Confidencial"). Usted no debe develar dicha Información
 * Confidencial y debe usarla de acuerdo con los términos de aceptación de
 * licencia de uso que firmó con Byte.
 */
public interface QuestionFileRepository extends CrudRepository<QuestionFile, Long> {

    public Optional<QuestionFile> findByUuid(String uuid);

    @Query("Select q.uploadDate from QuestionFile q where q.uuid = :uuid")
    LocalDateTime findUploadDateByUuid(@Param("uuid") String uuid);
}
